Ask Your Question
4

Problem installing ar_tools in Catkin

asked 2015-01-16 05:19:14 -0600

Jonatan AL gravatar image

Hi there!

I have a question about the installation of ar_tools stack in catkin.

I will create an example empty project, with ar_tools stack. Following the tutorials..

$ source /opt/ros/hydro/setup.bash
$ mkdir -p ~/catkin_ws/src
$ cd ~/catkin_ws/src
$ catkin_init_workspace
$ cd ~/catkin_ws/
$ catkin_make
$ source devel/setup.bash

Once the project have been created and initialized, I get the source https://github.com/xqms/ar_tools (because dont exists a catkin branch in https://github.com/LucidOne/ar_tools source):

$ cd ~/catkin_ws/src
$ git clone -b catkin https://github.com/xqms/ar_tools

And now, if I try to compile the project:

$ cd ~/catkin_ws/
$ catkin_make

I get this error message:

-- +++ processing catkin metapackage: 'ar_tools'
-- ==> add_subdirectory(ar_tools/ar_tools)
-- +++ processing catkin package: 'artoolkit'
-- ==> add_subdirectory(ar_tools/artoolkit)
-- +++ processing catkin package: 'ar_pose'
-- ==> add_subdirectory(ar_tools/ar_pose)
CMake Error at /home/redhome/jonyal/catkin_ws/devel/share/artoolkit/cmake/artoolkitConfig.cmake:141 (message):
  Project 'ar_pose' tried to find library 'ARgsub'.  The library is neither a
  target nor built/installed properly.  Did you compile project 'artoolkit'?
  Did you find_package() it before the subdirectory containing its code is
  included?
Call Stack (most recent call first):
  /opt/ros/hydro/share/catkin/cmake/catkinConfig.cmake:75 (find_package)
  ar_tools/ar_pose/CMakeLists.txt:6 (find_package)


-- Configuring incomplete, errors occurred!
Invoking "cmake" failed

I have tried to compile by hand artoolkits, but nothing happens.

Thank you for your help. Jonatan AL

edit retag flag offensive close merge delete

2 Answers

Sort by » oldest newest most voted
3

answered 2015-02-17 10:25:43 -0600

fherrero gravatar image

It just happened to me today also, and I had to compile artoolkit separately first.

 $ catkin_make --only-pkg-with-deps artoolkit

I don't know the reason, because I've had compiled ar_tools before without experiencing this.

edit flag offensive delete link more

Comments

I tried the same but got dis error while compiling artoolkit, can u help me wid dis? Performing download step (SVN checkout) for 'ARToolkit' svn: Can't connect to host 'svn.code.sf.net': Connection refused make[2]: * [ar_tools/artoolkit/ARToolkit-prefix/src/ARToolkit-stamp/ARToolkit-download] Erro

mimpho gravatar imagemimpho ( 2015-05-15 06:09:56 -0600 )edit

I tried what you said, but even after compiling artoolkit separately, when I compile ar_tools I get the same error with ar_pose again.

Leandro gravatar imageLeandro ( 2015-05-15 13:38:08 -0600 )edit
0

answered 2015-05-19 02:49:13 -0600

Procópio gravatar image

updated 2015-05-19 02:50:52 -0600

ar_tools under LucidOne repository IS catkinized, while at xqms it is still uses rosbuild . I think you mixed the two, if you want to compile under catkin, the https://github.com/LucidOne/ar_tools is the one to use.

edit flag offensive delete link more

Comments

I guess he was using the catkin branch of xqms, while LucidOne repo wasn't catkinized yet.

fherrero gravatar imagefherrero ( 2015-05-21 02:30:09 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

3 followers

Stats

Asked: 2015-01-16 05:19:14 -0600

Seen: 1,336 times

Last updated: May 19 '15